.deploy_build: &build
  tags:
    - aim
  before_script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
  script:
    - docker pull $DEV_IMAGE || true
    - docker build --cache-from $DEV_IMAGE   -t $DEV_IMAGE . -f $PATCH_DOCKER_FILE
    - docker push $DEV_IMAGE 
.deploy_pull: 
  stage: deploy
  tags:
    - $TAGS
  script:
    - cd $PATCH_DEPLOY && ./refresh.sh

stages: 
  - build
  - deploy
